#!/bin/bash

set -e

. script_env
setup_vivado

rm -f puzzlefw_top.bit.bin redpitaya_puzzlefw.xsa

( cd vivado
  mkdir -p output
  stdbuf -oL vivado -mode batch -source nonproject.tcl | tee output/build_log.txt )

rm -f vivado/output/puzzlefw_top.bit.bin

cat >vivado/output/bitstream.bif <<EOF
all:
{
	puzzlefw_top.bit
}
EOF

( cd vivado/output
  bootgen -image bitstream.bif -arch zynq -process_bitstream bin
  )

cp -a vivado/output/puzzlefw_top.bit.bin .
cp -a vivado/output/redpitaya_puzzlefw.xsa .

